%define ttfdir %_x11libdir/X11/fonts/korean-ttf

Name: korean-fonts-ttf
Version: 2.1
Release: alt1

Summary: Baekmuk korean fonts
Summary (ru_RU.UTF-8): Корейские шрифты Baekmuk
License: GPL
Group: System/Fonts/True type
Url: ftp://ftp.mizi.com/pub/baekmuk
Source0: baekmuk-ttf-2.1.tar.bz2
Source1: baekmuk-doc-2.1.tar.bz2
Source2: fonts-ttf-korean-fonts.alias.bz2
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

%description
Baekmuk Korean TrueType Fonts.

%description -l ru_RU.UTF-8
Корейские TrueType шрифты Baekmuk. 

%prep
%setup -q -c -a0 -a1

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
bzcat %SOURCE2 > $RPM_BUILD_ROOT%ttfdir/fonts.alias

cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir
fi

%files
%ttfdir
%doc COPYRIGHT COPYRIGHT.ks

%changelog
* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.1-alt1
- ALTLinux build
